Page MenuHomePhabricator

Enable lldm-mi commands -stack-list-locals -stack-list-variables and -var-create to work only with variables in scope
ClosedPublic

Authored by ayuckhulk on Mar 17 2017, 5:02 AM.

Diff Detail

Event Timeline

ayuckhulk created this revision.Mar 17 2017, 5:02 AM
ki.stfu requested changes to this revision.Mar 28 2017, 11:28 PM

Hi.

LGTM. Just fix a few minor issues before committing.

Thank you for your contribution to LLDB project!

packages/Python/lldbsuite/test/tools/lldb-mi/lexical-scope/Makefile
1 ↗(On Diff #92129)

Rename directory to lexical_scope.

packages/Python/lldbsuite/test/tools/lldb-mi/lexical-scope/TestLexicalScope.py
1 ↗(On Diff #92129)

Remove please. We don't specify encoding in other files.

1 ↗(On Diff #92129)

Rename this to packages/Python/lldbsuite/test/tools/lldb-mi/lexical_scope/TestMiLexicalScope.py.

This revision now requires changes to proceed.Mar 28 2017, 11:28 PM
ayuckhulk updated this revision to Diff 93369.Mar 29 2017, 7:00 AM
ayuckhulk edited edge metadata.

Thank you for the review! I've updated the patch with requested changes:

  • renamed lexical-scope to lexical_scope,
  • renamed TestLexicalScope.py to TestMiLexicalScope.py
  • removed utf8 encoding string
ki.stfu accepted this revision.Mar 29 2017, 8:10 AM

Would you like me to commit it?

This revision is now accepted and ready to land.Mar 29 2017, 8:10 AM
ayuckhulk added a comment.EditedMar 29 2017, 8:28 AM

Yes, please. Thanks again!

ki.stfu edited the summary of this revision. (Show Details)Apr 4 2017, 12:47 AM
ki.stfu closed this revision.Apr 4 2017, 12:50 AM